//
//  main.swift
//  Errors
//
//  Created by Holger Hinzberg on 10.09.15.
//  Copyright © 2015 Holger Hinzberg. All rights reserved.
//

import Foundation

enum CalculationError : ErrorType
{
    case DivideByZero
    case SomethingWrong
    case OtherError
}

func divide(divident:Int, divisor:Int) throws -> Int
{
    guard divisor > 0 else
    {
        throw CalculationError.DivideByZero
    }
    return divident / divisor
}

do
{
    var result = try divide(100, divisor: 5)
    result = try divide(result, divisor: 4)
    result = try divide(result, divisor: 0)
}
catch(CalculationError.DivideByZero)
{
    print("Es wurde versucht durch Null zu teilen")
}
catch(CalculationError.SomethingWrong)
{
    print("Etwas stimmt nicht")
}
catch
{
    print("Unbekannter Fehler")
}

